import { select, arc} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg
  .append('g') 	//group element
    .attr('transform',`translate(${width/2},${height/2})`);

const circle = g
  .append('circle')
    .attr('r', height/2)
    .attr('fill', 'pink')
    .attr('stroke','black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 40;
const eyebrowWidth = 100;
const eyebrowHeight = 15;
const eyebrowYOffset = -70;

const eyesG = g
  .append('g')
    .attr('transform',`translate(0,${eyeYOffset})`)
		.attr('fill', 'red');

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx',- eyeSpacing);

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const eyebrowsG = eyesG
  .append('g')
    .attr('transform',`translate(0,${eyebrowYOffset})`)
		.attr('fill', 'blue');

eyebrowsG
		.transition().duration(1000)
      .attr('transform',`translate(0,${eyebrowYOffset -50})`)
		.transition().duration(1000)
      .attr('transform',`translate(0,${eyebrowYOffset})`);


const leftEyebrow = eyebrowsG
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('width',  eyebrowWidth)
    .attr('height', eyebrowHeight)
		


const rightEyebrow = eyebrowsG
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('width',  eyebrowWidth)
    .attr('height', eyebrowHeight)




const mouth = g
  .append('path')
    .attr('d', arc()({
    innerRadius: 180,
    outerRadius: 200,
    startAngle: Math.PI/2,
    endAngle: Math.PI * 3/2
  }));